### Method

# Clutter Stage ensure_viewport

#### Declaration [src]

    void
    clutter_stage_ensure_viewport (
      ClutterStage* stage
    )

#### Description [src]

Ensures that the GL viewport is updated with the current stage window size.

This function will queue a redraw of `stage`.

This function should not be called by applications; it is used when embedding a `ClutterStage` into a toolkit with another windowing system, like GTK+.